This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1006395 - After previewing snapshot, VM's disks alignment turns to unaligned (unknown) after being aligned.
After previewing snapshot, VM's disks alignment turns to unaligned (unknown)...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Sergey Gotliv
storage
: Improvement, Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 10:35 EDT by Leonid Natapov
Modified: 2016-02-10 15:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-10 09:40:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (1.10 MB, application/x-tar)
2013-09-10 10:35 EDT, Leonid Natapov
no flags Details

  None (edit)
Description Leonid Natapov 2013-09-10 10:35:55 EDT
Created attachment 796032 [details]
logs

Description of problem:
After previewing snapshot, VM's disks alignment  turns to unaligned (unknown) after being aligned.  

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.Create VM with disks.
2.Install OS.
3.Align VM's disks.
4.Create snapshot.
5.Preview snapshot

After preview snapshot VM's disks turn to UNKNOWN.

Actual results:


Expected results:
disks stay aligned.

Additional info:
vdsm and engine logs attached
Comment 1 Ayal Baron 2013-09-12 07:20:09 EDT
Alignment is pretty fast and the changes required to save this info in the snapshot is not worth the time.
Comment 2 Haim 2013-11-10 07:44:23 EST
(In reply to Ayal Baron from comment #1)
> Alignment is pretty fast and the changes required to save this info in the
> snapshot is not worth the time.

Ayal, it doesn't sound right, if Alignment status turns to UNKNOWN for good, it breaks that something bad happened.

moving to reopen, let's discuss in the scrub meeting (would like to get Sean's opinion on this)

Note You need to log in before you can comment on or make changes to this bug.